Subject: bug#60796: 27.1; Opening file ending in .sh inside a directory ending in .deb causes hang/100% thread usage

From: Michael Albinus <[email-masked]>
Date: Sun, 15 Jan 2023 16:14:37 +0100

Stephen Berman <[email-masked]> writes:

H Stephen,

>>> Oops, sorry, I just noticed the Cc on these emails that I should have
>>> been using. Repeating what I said in (accidental) privacy:
>>>
>>> I installed Ubuntu Server 22.10 in a VM, booted, installed emacs-nox
>>> package from repo, did mkdir asdf.deb, cd asdf.deb, emacs -Q, and the
>>> problem happens there, in case that's useful. (v27.1)
>>>
>>> I realized that it doesn't matter what you are editing (if anything), it
>>> just needs to be opened inside a directory ending in .deb.
>>
>> Maybe there are local Debian changes?  I suggest to report this to the
>> distro first.
>
> I can reproduce the problem in my Emacs 27 branch from the Savannah repo
> built on non-Debian GNU/Linux; I cannot reproduce it with Emacs 26 or 28
> and later.  (Emacs 26 does not recognize tramp-archive-enabled, in 27
> and later it does and the default value it t.)

tramp-archive.el was added to Tramp 2.4 (Emacs 27) only, so it couldn't
be a problem in Emacs 26.

With the given scenario, I cannot reproduce it in either Emacs 27, 28,
29 and 30.

--8<---------------cut here---------------start------------->8---
$ mkdir test.deb
$ cd test.deb
$ emacs -Q test.sh
--8<---------------cut here---------------end--------------->8---

Note that there was a similar report, bug#30293, which was fixed in
Emacs 27. So in general the scenario shall work. If possible, I'd like
to see a backtrace for the Emacs 27 case.

Note also, that there were autoload problems in the past for
tramp-archive.el (which should be fixed now). So would it work in your
case, if you call instead

--8<---------------cut here---------------start------------->8---
$ emacs -Q -l tramp-archive test.sh
--8<---------------cut here---------------end--------------->8---

> Steve Berman

Best regards, Michael.